document.addEventListener('DOMContentLoaded', function() {
  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handling
  const contactForm = document.getElementById('contact-form');
  if (contactForm) {
    contactForm.addEventListener('submit', function(e) {
      e.preventDefault();
      const formData = new FormData(this);
      // Here you would typically send the form data to a server
      alert('Thank you for your message!');
      this.reset();
    });
  }

  // Load blog posts (this would typically be replaced with actual data fetching)
  const blogPosts = [
    { title: 'My First Blog Post', content: 'This is the content of my first blog post.' },
    { title: 'Web Development Tips', content: 'Here are some tips for modern web development.' }
  ];

  const blogPostsContainer = document.getElementById('blog-posts');
  if (blogPostsContainer) {
    blogPosts.forEach(post => {
      const postElement = document.createElement('article');
      postElement.innerHTML = `
        <h2>${post.title}</h2>
        <p>${post.content}</p>
      `;
      blogPostsContainer.appendChild(postElement);
    });
  }
});